<ion-content>
  <div class="container header">
    <img src="assets/icon/arrow.svg" (click)="arrowBack()">
    <div class="title">
      <div class="container-flex">
        <img src="assets/icon/user.svg" class="item icon">
        <h1 class="item flex-grow-item">Mon compte</h1>
      </div>
    </div>
    <hr>
  </div>


  <div class="container membershiptype">
    <ion-radio-group 
      allow-empty-selection="true" 
      name="radio-group" 
      (ionChange)="radioGroupChange($event)" 
      #radioGroup>
      <h2 class="mg-bottom-sm">Types d'abonnement</h2>

      <div class="info-card flex sm-space" 
        *ngFor="let item of radio_list" 
        (ionFocus)="radioFocus()" 
        (ionSelect)="radioSelect($event)"
        (ionBlur)="radioBlur()">
        <div class="container-flex">
          <ion-item lines="none">
            <ion-label>{{item.text}}</ion-label>
            <ion-radio name="memberShip" slot="start"  value="{{item.value}}" checked="{{item.checked}}"
              color="{{item.color}}" disabled="{{item.disabled}}">{{item.name}}</ion-radio>
          </ion-item>
          <p class="big-text centered item">{{item.price}}</p>
        </div>

        <div class="container chips-scroll">
          <div class="info-chip scroll-item container-flex sm-space">
            <p class="small-text">{{item.chip1}}</p>
            <img src="assets/icon/check.svg" alt="check" class="chip-check">
          </div>
          <div class="info-chip scroll-item container-flex sm-space">
            <p class="small-text">{{item.chip2}}</p>
            <img src="assets/icon/check.svg" alt="check" class="chip-check">
          </div>
        </div>
      </div>
    </ion-radio-group>
  </div>
  <div class="container lg-space flex bottom-cta">
    <div class="container-flex">
      <p class="mini-text item">Etape 5/5</p>
      <ion-button (click)="submit()" type="submit" class="agri-btn item">Suivant</ion-button>
    </div>
  </div>

</ion-content>


